aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@digia.com>2014-01-30 18:20:45 +0100
committerEike Ziller <eike.ziller@digia.com>2014-02-04 10:56:25 +0100
commit5081d032cbf69610eb94d0c961e07846fd7cab97 (patch)
tree20e2022fbc33b6503ad96dd0b332f2fdadda29ca /scripts
parentf5e7526a33d5425b67c154996f643c7904a2ecd9 (diff)
Mac: Deploy libclang if needed
Change-Id: Ia60d4bc3fd8899da51e3c71ef6a514fb3f52f1e2 Reviewed-by: Eike Ziller <eike.ziller@digia.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/deployqtHelper_mac.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index daa73bf12d..ca73dac383 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -54,3 +54,14 @@ cp -f "$(dirname "${BASH_SOURCE[0]}")/../dist/installer/mac/ios_qt.conf" "$1/Con
# copy Qt translations
cp "$2"/*.qm "$1/Contents/Resources/translations/" || exit 1
+
+# copy libclang if needed
+if [ $LLVM_INSTALL_DIR ]; then
+ cp -f "$LLVM_INSTALL_DIR"/lib/libclang.dylib "$1/Contents/PlugIns/" || exit 1
+ _CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/QtProject/libClangCodeModel_debug.dylib"
+ if [ ! -f "$_CLANG_CODEMODEL_LIB" ]; then
+ _CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/QtProject/libClangCodeModel.dylib"
+ fi
+ xcrun install_name_tool -delete_rpath "$LLVM_INSTALL_DIR/lib" -add_rpath "@loader_path/.." "$_CLANG_CODEMODEL_LIB"
+fi
+